package gui.menu;

import gui.constants.Options;
import gui.constants.Symbols;
import imgui.ImGui;
import imgui.type.ImInt;

public class OptionsMenu extends BaseView {

	private ImInt currentValue = new ImInt();
	private float backgroundSpeed[] = new float[]{Options.BackgroundSpeed};

	public OptionsMenu(StateMachine stateMachine) {
		super(stateMachine);
	}

	@Override
	public void render() {
		ImGui.text("Options");
		if(ImGui.combo("Jeu de symboles", currentValue, Symbols.getSymbolsNames())){
			Options.Symboles = Symbols.values()[currentValue.get()];
		}
		if(ImGui.sliderFloat("Vitesse d'animation de l'arrière plan", backgroundSpeed, 0.0f, 10.0f)){
			Options.BackgroundSpeed = backgroundSpeed[0];
		}
		renderReturnButton();
	}

}
